<div class="side-door-client-search">
  <app-content-banner [isDashboard]="false" pageName="Add Tenant"></app-content-banner>
  <mat-card class="sdcs-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <div fxLayout="row" fxLayout.lt-md="column" class="sidedoor-stat-banner">
        <div class="stats"><span><b>Agency Name: </b>{{trSelected.hpAgencyNo + ' - ' + trSelected.hpAgencyName}}</span></div>
        <div class="stats"><span><b>Site Name: </b>{{trSelected.hpSiteNo + ' - ' + trSelected.hpSiteName}}</span></div>
        <div class="stats"><span><b>Unit#: </b>{{trSelected.unitName}}</span></div>
        <div class="stats"><span><b>Primary Service Contract Type: </b>{{trSelected.agreementTypeDescription}}</span></div>
      </div>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight>
        <mat-tab>
          <ng-template matTabLabel>
            <span *ngIf="referralType == 610">Add Tenant</span>
            <span *ngIf="referralType == 526">Client Search</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
                <form [formGroup]="sideDoorClientSearchGroup">
                  <section class="form-section regular-mat-form-field" fxLayout="column">
                      <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                        <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                          <mat-label class="required-label-color">Client First Name: </mat-label>
                          <mat-form-field appearance="outline">
                            <input matInput formControlName="firstNameCtrl">
                            <mat-error *ngIf="sideDoorClientSearchGroup.get('firstNameCtrl').invalid">FirstName is required.</mat-error>
                          </mat-form-field>
                        </div>
                        <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                          <mat-label class="required-label-color">Client Last Name: </mat-label>
                          <mat-form-field appearance="outline">
                            <input matInput formControlName="lastNameCtrl">
                            <mat-error *ngIf="sideDoorClientSearchGroup.get('lastNameCtrl').invalid || sideDoorClientSearchGroup.get('lastNameCtrl').untouched">LastName is required.</mat-error>
                          </mat-form-field>
                        </div>
                      </div>
                      <div *ngIf="referralType == 526" fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                        <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                          <mat-label class="required-label-color">HRA Client ID: </mat-label>
                          <mat-form-field appearance="outline">
                            <input matInput digitOnly formControlName="hraClientIDCtrl" autocomplete="off">
                            <mat-error *ngIf="sideDoorClientSearchGroup.get('hraClientIDCtrl').invalid || sideDoorClientSearchGroup.get('hraClientIDCtrl').untouched">HRA ClientID is required.</mat-error>
                          </mat-form-field>
                        </div>
                        <div fxLayout="row"  fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                          <mat-label class="required-label-color">Referral Date: </mat-label>
                          <mat-form-field appearance="outline">
                            <input matInput [matDatepicker]="referralDatePicker"
                              formControlName="referralDateCtrl"
                              dateOnly
                              placeholder="MM/DD/YYYY"
                              required>
                            <mat-datepicker-toggle matSuffix [for]="referralDatePicker"></mat-datepicker-toggle>
                            <mat-datepicker #referralDatePicker></mat-datepicker>
                            <mat-error *ngIf="sideDoorClientSearchGroup.get('referralDateCtrl').invalid || sideDoorClientSearchGroup.get('referralDateCtrl').untouched">Referral Date is required.</mat-error>
                          </mat-form-field>
                        </div>
                      </div>
                      <div *ngIf="referralType == 610" fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                        <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                          <mat-label class="required-label-color">SSN: </mat-label>
                          <mat-form-field appearance="outline">
                            <input matInput formControlName="ssnCtrl" mask="000-00-0000" required [showMaskTyped]="true">
                            <mat-error *ngIf="sideDoorClientSearchGroup.get('ssnCtrl').invalid || sideDoorClientSearchGroup.get('ssnCtrl').untouched">Please enter a valid SSN.</mat-error>
                          </mat-form-field>
                        </div>
                        <div fxLayout="row"  fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                          <mat-label class="required-label-color">DOB: </mat-label>
                          <mat-form-field appearance="outline">
                            <input matInput [matDatepicker]="dobPicker"
                              formControlName="dobCtrl"
                              dateOnly
                              placeholder="MM/DD/YYYY"
                              (change)="calculateAge()"
                              required>
                            <mat-datepicker-toggle matSuffix [for]="dobPicker"></mat-datepicker-toggle>
                            <mat-datepicker #dobPicker></mat-datepicker>
                            <mat-error *ngIf="sideDoorClientSearchGroup.get('dobCtrl').invalid || sideDoorClientSearchGroup.get('dobCtrl').untouched"> DOB is required.</mat-error>
                          </mat-form-field>
                        </div>
                      </div>
                      <div *ngIf="referralType == 610" fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                        <div fxLayout="row"  fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                          <mat-label class="required-label-color">Gender: </mat-label>
                          <mat-form-field appearance="outline">
                            <mat-select formControlName="genderCtrl">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let gender of genders"
                                [value]="gender.refGroupDetailID">
                                {{ gender.refGroupDetailDescription }}
                              </mat-option>
                            </mat-select>
                            <mat-error *ngIf="sideDoorClientSearchGroup.get('genderCtrl').invalid || sideDoorClientSearchGroup.get('genderCtrl').untouched"> Gender is required.</mat-error>
                          </mat-form-field>
                        </div>
                      </div>
                      <div class="btn-section" fxLayout="row">
                        <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
                          <button *ngIf="referralType == 526" type="button" (click)="onSearchClick()" mat-raised-button color="primary">Search</button>
                          <button *ngIf="referralType == 610" type="button" (click)="onSubmitClick()" mat-raised-button color="primary">Submit</button>
                          <button type="button" (click)="onExitClick()" mat-raised-button color="primary">Exit</button>
                        </span>
                      </div>
                  </section>
                </form>

            </div>

          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>
